Package com.xebialabs.xlrelease.domain.utils

# Class ScmException$

java.lang.Object
scala.runtime.AbstractFunction3<String,Throwable,Object,ScmException>
com.xebialabs.xlrelease.domain.utils.ScmException$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<String,Throwable,Object,ScmException>`

public class ScmException$ extends scala.runtime.AbstractFunction3<String,Throwable,Object,ScmException> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ScmException$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScmException$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Throwable`
  `$lessinit$greater$default$2()`
  `int`
  `$lessinit$greater$default$3()`
  `ScmException`
  `apply(String msg, Throwable cause, int statusCode)`
  `Throwable`
  `apply$default$2()`
  `int`
  `apply$default$3()`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<String,Throwable,Object>>`
  `unapply(ScmException x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Function3

  `apply`

- ## Field Details

  - ### MODULE$

    public static final ScmException$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### ScmException$

    public ScmException$()

- ## Method Details

  - ### $lessinit$greater$default$2

    public Throwable $lessinit$greater$default$2()

  - ### $lessinit$greater$default$3

    public int $lessinit$greater$default$3()

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<String,Throwable,Object,ScmException>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<String,Throwable,Object,ScmException>`

  - ### apply

    public ScmException apply(String msg, Throwable cause, int statusCode)

  - ### apply$default$2

    public Throwable apply$default$2()

  - ### apply$default$3

    public int apply$default$3()

  - ### unapply

    public scala.Option<scala.Tuple3<String,Throwable,Object>> unapply(ScmException x$0)